AOMedia AV1 Codec: Data Fields

| AOMedia AV1 Codec

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- cb_coef_buff : macroblock
- cb_offset : DecoderCodingBlock, macroblock, MB_MODE_INFO_EXT_FRAME
- cdef_bits : CdefInfo
- cdef_colbuf : RestoreStateBuffers
- cdef_count : CdefBlockInfo
- cdef_damping : CdefInfo
- cdef_info : AV1Common
- cdef_search_ctx : AV1_COMP
- cdef_srcbuf : RestoreStateBuffers
- cdef_strength : MB_MODE_INFO
- cdef_strengths : CdefInfo
- cdef_sync : MultiThreadInfo
- cdef_transmitted : macroblockd
- cdef_uv_strengths : CdefInfo
- cdef_worker : MultiThreadInfo, PrimaryMultiThreadInfo
- cdf_update_mode : AlgoCfg
- cfl : macroblockd
- cfl_alpha_idx : MB_MODE_INFO
- cfl_alpha_signs : MB_MODE_INFO
- cfl_cost : ModeCosts
- chroma_above_mbmi : macroblockd
- chroma_left_available : macroblockd
- chroma_left_mbmi : macroblockd
- chroma_up_available : macroblockd
- cnn_buffer : PartitionSearchInfo
- cnn_output_valid : PartitionSearchInfo
- cnt_zeromv : macroblock
- coded_error : FIRSTPASS_STATS
- coded_lossless : FeatureFlags
- coded_tile_data : aom_tile_data
- coded_tile_data_size : aom_tile_data
- coding_context : AV1_COMP
- coeff : macroblock_plane
- coeff_buffer_base : AV1_COMP
- coeff_buffer_pool : AV1_COMP
- coeff_costs : CoeffCosts, macroblock
- coeff_opt_thresholds : TxfmSearchParams, WinnerModeParams
- coeff_shift : CdefBlockInfo
- coefficient_size : RATE_CONTROL
- coffset : CdefBlockInfo
- col_start_sb : CommonTileParams
- colbuf : CdefInfo
- color_index_map : WinnerModeStats
- color_index_map_offset : macroblockd
- color_palette_thresh : macroblock
- color_sensitivity : macroblock
- color_sensitivity_sb : macroblock
- color_sensitivity_sb_alt : macroblock
- color_sensitivity_sb_g : macroblock
- cols : aom_active_map, aom_roi_map, CommonTileParams
- common : AV1_COMP
- comp_bwdref_cost : ModeCosts
- comp_group_idx : MB_MODE_INFO
- comp_group_idx_cost : ModeCosts
- comp_idx_cost : ModeCosts
- comp_inter_cost : ModeCosts
- comp_rd_buffer : macroblock
- comp_rd_stats : macroblock
- comp_rd_stats_idx : macroblock
- comp_ref_cost : ModeCosts
- comp_ref_type_cost : ModeCosts
- comp_rs2 : COMP_RD_STATS
- compound_idx : macroblock, MB_MODE_INFO
- compound_type_cost : ModeCosts
- compressor_stage : AV1_COMP
- compute_frame_diff : TemporalFilterCtx
- cond_ : AV1EncAllIntraMultiThreadInfo, AV1EncRowMultiThreadInfo, AV1EncRowMultiThreadSync
- config : aom_codec_ctx
- consec_zero_mv : AV1_COMP
- consec_zero_mv_alloc_size : AV1_COMP
- content_state_sb : macroblock
- cor_coeff : FIRSTPASS_STATS
- corrupted : DecoderCodingBlock
- count : ColorCount, FIRSTPASS_STATS
- counter_encode_maxq_scene_change : LAYER_CONTEXT
- counts : AV1_COMP
- cp : aom_image
- cpi : AV1_PRIMARY
- cpi_lap : AV1_PRIMARY
- cq_level : RateControlCfg
- crc_calculator : MB_RD_RECORD
- create_model : aom_ext_part_funcs
- cs_rate_array : ForceIntegerMVInfo
- csp : aom_image
- cur_buf : macroblockd
- cur_frame : AV1Common
- cur_frame_force_integer_mv : FeatureFlags, macroblockd
- cur_gf_index : PRIMARY_RATE_CONTROL
- cur_index : FIRSTPASS_INFO
- current_base_qindex : macroblockd
- current_decision : aom_partition_decision
- current_frame : AV1Common
- current_frame_id : AV1Common
- current_qindex : MB_MODE_INFO
- cx_data : AV1_COMP_DATA
- cx_data_sz : AV1_COMP_DATA
- cyclic_refresh : AV1_COMP